%global modulename nan

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-nan
Version:        2.11.1
Release:        1%{?dist}
Summary:        Native Abstractions for Node.js: C++ header for Node 0.8 -> 10 compatibility

License:        MIT
URL:            https://github.com/nodejs/nan#readme
Source0:        https://registry.npmjs.org/nan/-/nan-2.11.1.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
Native Abstractions for Node.js: C++ header for Node 0.8 -> 10 compatibility

%package 2.11.1
Summary:        Native Abstractions for Node.js: C++ header for Node 0.8 -> 10 compatibility


%description 2.11.1
Native Abstractions for Node.js: C++ header for Node 0.8 -> 10 compatibility

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr doc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr include_dirs.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan-2.11.1.tgz %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan.h %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan_callbacks.h %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan_callbacks_12_inl.h %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan_callbacks_pre_12_inl.h %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan_converters.h %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan_converters_43_inl.h %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan_converters_pre_43_inl.h %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan_define_own_property_helper.h %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan_implementation_12_inl.h %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan_implementation_pre_12_inl.h %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan_json.h %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan_maybe_43_inl.h %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan_maybe_pre_43_inl.h %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan_new.h %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan_object_wrap.h %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan_persistent_12_inl.h %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan_persistent_pre_12_inl.h %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan_private.h %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan_string_bytes.h %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan_typedarray_contents.h %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nan_weak.h %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr tools %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc LICENSE.md
%doc README.md
%{nodejs_dir}/%{modulename}

%files 2.11.1
%doc CHANGELOG.md
%doc LICENSE.md
%doc README.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Dec 5 2018 npm2srpm <dshea@redhat.com> - 2.11.1-1
- Package automatically generated by npm2srpm
